Name: kooldock
Version: 0.3
Release: alt2

Summary: %name is a docklet for KDE
License: GPL
Group:   Graphical desktop/KDE
URL:     http://www.kde-look.org/content/show.php?content=12097
Source:  %name-%version.tar.gz
Source1: kooldock.menu
Source2: ru.po
Patch:   kooldock-automake-alt.patch

# Automatically added by buildreq on Fri Aug 13 2004
BuildRequires: gcc-c++ kdelibs-devel libarts-devel libjpeg-devel libpng-devel libqt3-devel

%description
KoolDock is based upon the work of Dang Viet Dung, KSmoothDock 2.1.
For the latest release of ksmoothdock, please visit
http://www.kde-look.org/content/show.php?content=6585

%prep
%setup -n %name
%patch -p1
%__install -m644 %SOURCE2 $RPM_BUILD_DIR/%name/po/ru.po

%make -f Makefile.dist

%__subst 's/\.la/\.so/g' configure
%configure

%make

%make_install install DESTDIR=%buildroot

%__mkdir_p %buildroot%_menudir
%__install -m 644 %SOURCE1 %buildroot%_menudir/%name
%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/%name
%_datadir/apps/%name/backgrounds/*/*.png
%_datadir/apps/%name/icons/*/*/apps/%name.png
%_datadir/icons/*/*/apps/%name.png
%_menudir/%name
%doc README ChangeLog AUTHORS TODO

%changelog
* Mon Feb 06 2006 Stanislav Yadykin <tosick@altlinux.ru> 0.3-alt2
- automake fix
- BuildRequires fix

* Thu Jan 20 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.3-alt1.1
- Rebuilt with libstdc++.so.6.

* Fri Aug 13 2004 Stanislav Yadykin <tosick@altlinux.ru> 0.3-alt1
- build 0.3
- russian translate
- URL spec fix

* Tue Jun 29 2004 Stanislav Yadykin <tosick@altlinux.ru> 0.2-alt2
- spec fix

* Thu Jun 24 2004 Stanislav Yadykin <tosick@altlinux.ru> 0.2-alt1
- first release

